---
title: 502 Bad Gateway
slug: Web/HTTP/Status/502
tags:
  - HTTP
  - Server error
  - Status code
---
<div>{{HTTPSidebar}}</div>

<p>The HyperText Transfer Protocol (HTTP) <code><strong>502 Bad Gateway</strong></code> server error response code indicates that the server, while acting as a gateway or proxy, received an invalid response from the upstream server.</p>

<div class="note">
<p><strong>Note: </strong>A {{interwiki("wikipedia", "Gateway_(telecommunications)", "Gateway")}} might refer to different things in networking and a 502 error is usually not something you can fix, but requires a fix by the web server or the proxies you are trying to get access through.</p>
</div>

<h2 id="Status">Status</h2>

<pre class="syntaxbox notranslate">502 Bad Gateway
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("7231", "502 Bad Gateway" , "6.6.3")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>The information shown below has been pulled from MDN's GitHub (<a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a>).</p>

<div class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("http.status.502")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPStatus(504)}}</li>
 <li><a href="https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html" rel="noopener">HTTP/1.1: Status Code Definitions</a></li>
</ul>
